org.wildfly.swarm.config.undertow.servlet_container

## Class CrawlerSessionManagementSetting<T extends CrawlerSessionManagementSetting<T>>

- java.lang.Object
- - org.wildfly.swarm.config.undertow.servlet_container.CrawlerSessionManagementSetting<T>

-     public class CrawlerSessionManagementSetting<T extends CrawlerSessionManagementSetting<T>>
      extends Object

  Configures special session handling for crawler bots

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CrawlerSessionManagementSetting()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `String` | `getKey()`
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener
    `Integer` | `sessionTimeout()` The session timeout for sessions that are owned by crawlers
    `T` | `sessionTimeout(Integer value)` The session timeout for sessions that are owned by crawlers
    `String` | `userAgents()` Regular expression that is used to match the user agent of a crawler
    `T` | `userAgents(String value)` Regular expression that is used to match the user agent of a crawler

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CrawlerSessionManagementSetting

          public CrawlerSessionManagementSetting()

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### sessionTimeout

          public Integer sessionTimeout()

      The session timeout for sessions that are owned by crawlers

    - #### sessionTimeout

          public T sessionTimeout(Integer value)

      The session timeout for sessions that are owned by crawlers

    - #### userAgents

          public String userAgents()

      Regular expression that is used to match the user agent of a crawler

    - #### userAgents

          public T userAgents(String value)

      Regular expression that is used to match the user agent of a crawler

Copyright © 2017 JBoss by Red Hat. All rights reserved.